Subject: guile 3.0.8 'make check' fails

From: Terry Phelps <[email-masked]>
Date: Fri, 25 Feb 2022 13:05:28 -0500

I just got the 3.0.8 tarball and did a build on Fedora 35 x64. I used no
parameters to 'configure', except for '--prefix'. Then I did 'make' and
'make check'.

One test failed. The output ends with:

wrote
`/home/tgphelps/guile-3.0.8/cache/guile/ccache/3.0-LE-8-4.6/home/tgphelps/guile-3.0.8/test-suite/standalone/test-stack-overflow.go'
allocate_stack failed: Cannot allocate memory
allocate_stack failed: Cannot allocate memory
allocate_stack failed: Cannot allocate memory
allocate_stack failed: Cannot allocate memory
allocate_stack failed: Cannot allocate memory
PASS: test-stack-overflow
wrote
`/home/tgphelps/guile-3.0.8/cache/guile/ccache/3.0-LE-8-4.6/home/tgphelps/guile-3.0.8/test-suite/standalone/test-out-of-memory.go'
GC Warning: Failed to expand heap by 134742016 bytes
GC Warning: Failed to expand heap by 134217728 bytes
GC Warning: Out of Memory! Heap size: 2 MiB. Returning NULL!
error creating finalization thread: Cannot allocate memory
mmap(PROT_NONE) failed
FAIL: test-out-of-memory
==================================
1 of 40 tests failed
Please report to [email-masked]
==================================

If you want more information, just ask.